<template>
  <div
    class="wrapper"
    v-waypoint="{active: isWaypointActive, callback: animate, options: {threshold: [0.5, 1]}}"
  >
    <div class="container">
      <div class="select">
        <div class="select-left">
          <CommonGradient
            class="select__gradient"
          />
          <div
            class="select__title"
          >
            You think you got what it takes?
          </div>
          <div
            class="select__text"
          >
            Select your hero choose your weapons and enhancements and hunt
          </div>
          <div
            class="btn btn_green-filled select__btn"
          >
            Start now
          </div>
        </div>
        <div class="select-right">
          <div class="select-right-item-wrapper">
            <div class="select-right-item sm"><div class="select-right-item__image"/></div>
          </div>
          <div class="select-right-item-wrapper">
            <div class="select-right-item md"><div class="select-right-item__image"/></div>
          </div>
          <div class="select-right-item-wrapper">
            <div class="select-right-item lg"><div class="select-right-item__image"/></div>
          </div>
          <div class="select-right-item-wrapper">
            <div class="select-right-item md"><div class="select-right-item__image"/></div>
          </div>
          <div class="select-right-item-wrapper">
            <div class="select-right-item sm"><div class="select-right-item__image"/></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import CommonGradient from "@/components/common/CommonGradient";

export default {
  name: "MainPageSelectYourHero",
  components: {CommonGradient},
  data() {
    return {
      isWaypointActive: true,
    }
  },
  methods: {
    animate({going}) {
      if (going !== 'in') return

      const tl = this.$anime.timeline({
        easing: 'easeOutSine',
      })

      tl
        .add({
          targets: '.select__gradient',
          opacity: [0, 1],
          width: [0, 200],
          duration: 700,
        })
        .add({
          targets: '.select__title',
          opacity: [0, 1],
          translateX: [-200, 0],
          duration: 700,
        })
        .add({
          targets: '.select__text',
          opacity: [0, 1],
          translateY: [100, 0],
          duration: 700,
        })
        .add({
          targets: '.select__btn',
          opacity: [0, 1],
          duration: 700,
        })
      .add({
        targets: '.select-right-item',
        delay: this.$anime.stagger(200, {from: 'center'}),
        opacity: {
          value: [0, 1],
          duration: 100,
        },
        height: [0, '100%'],
        duration: 500
      })
      .add({
        targets: '.select-right-item__image',
        delay: this.$anime.stagger(300, {from: 'center'}),
        scale: [0.5, 1],
        duration: 750,
        opacity: 1
      }, 1200)

      this.isWaypointActive = false
    }
  }

}
</script>

<style scoped lang="sass">
@import "~@/assets/sass/components/MainPage/MainPageSelectYourHero.sass"
</style>
